AM261x MCU+ SDK: EnetPhy_FsmTimeoutCfg Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
EnetPhy_FsmTimeoutCfg Struct Reference
APIs for Networking modules » APIs for Enet LLD » Ethernet PHY Driver

## Detailed Description

PHY State-Machine time-out values.

## Data Fields
uint32_t | findingStateTicks
| FINDING state timeout (in ticks). More...
uint32_t | resetWaitStateTicks
| RESET_WAIT state timeout (in ticks). More...
uint32_t | resetWaitStateResidenceTicks
| RESET_WAIT state residence time (in ticks). More...
uint32_t | nwayStartStateTicks
| NWAY_START state timeout (in ticks). More...
uint32_t | nwayWaitStateTicks
| NWAY_WAIT state timeout (in ticks). More...
uint32_t | linkWaitStateTicks
| LINK_WAIT state timeout (in ticks). More...
uint32_t | mdixTicks
| Timeout if MDIX is enabled (in ticks). More...

## Field Documentation

## ◆ findingStateTicks

uint32_t EnetPhy_FsmTimeoutCfg::findingStateTicks

FINDING state timeout (in ticks).

Set to ENETPHY_TIMEOUT_WAIT_FOREVER, to disable timeout.
Set to ENETPHY_TIMEOUT_NO_WAIT, to expire immediately

## ◆ resetWaitStateTicks

uint32_t EnetPhy_FsmTimeoutCfg::resetWaitStateTicks

RESET_WAIT state timeout (in ticks).

Set to ENETPHY_TIMEOUT_WAIT_FOREVER, to disable timeout.
Set to ENETPHY_TIMEOUT_NO_WAIT, to expire immediately

## ◆ resetWaitStateResidenceTicks

uint32_t EnetPhy_FsmTimeoutCfg::resetWaitStateResidenceTicks

RESET_WAIT state residence time (in ticks).

## ◆ nwayStartStateTicks

uint32_t EnetPhy_FsmTimeoutCfg::nwayStartStateTicks

NWAY_START state timeout (in ticks).

Set to ENETPHY_TIMEOUT_WAIT_FOREVER, to disable timeout.
Set to ENETPHY_TIMEOUT_NO_WAIT, to expire immediately

## ◆ nwayWaitStateTicks

uint32_t EnetPhy_FsmTimeoutCfg::nwayWaitStateTicks

NWAY_WAIT state timeout (in ticks).

Set to ENETPHY_TIMEOUT_WAIT_FOREVER, to disable timeout.
Set to ENETPHY_TIMEOUT_NO_WAIT, to expire immediately

## ◆ linkWaitStateTicks

uint32_t EnetPhy_FsmTimeoutCfg::linkWaitStateTicks

LINK_WAIT state timeout (in ticks).

Set to ENETPHY_TIMEOUT_WAIT_FOREVER, to disable timeout.
Set to ENETPHY_TIMEOUT_NO_WAIT, to expire immediately

## ◆ mdixTicks

uint32_t EnetPhy_FsmTimeoutCfg::mdixTicks

Timeout if MDIX is enabled (in ticks).